Index: /palm/trunk/SOURCE/data_output_mask.f90
===================================================================
--- /palm/trunk/SOURCE/data_output_mask.f90	(revision 1437)
+++ /palm/trunk/SOURCE/data_output_mask.f90	(revision 1438)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! +nr, qc, qr
 ! 
 ! Former revisions:
@@ -70,10 +70,11 @@
 #if defined( __netcdf )
     USE arrays_3d,                                                             &
-        ONLY:  e, p, pt, q, ql, ql_c, ql_v, rho, sa, tend, u, v, vpt, w
+        ONLY:  e, nr, p, pt, q, qc, ql, ql_c, ql_v, qr, rho, sa, tend, u,      &
+               v, vpt, w
     
     USE averaging,                                                             &
-        ONLY:  e_av, lpt_av, p_av, pc_av, pr_av, pt_av, q_av, ql_av, ql_c_av,  &
-               ql_v_av, ql_vp_av, qv_av, rho_av, s_av, sa_av, u_av, v_av,      &
-               vpt_av, w_av 
+        ONLY:  e_av, lpt_av, nr_av, p_av, pc_av, pr_av, pt_av, q_av, qc_av,    &
+               ql_av, ql_c_av, ql_v_av, ql_vp_av, qv_av, qr_av, rho_av, s_av,  &
+               sa_av, u_av, v_av, vpt_av, w_av 
     
     USE cloud_parameters,                                                      &
@@ -81,11 +82,12 @@
     
     USE control_parameters,                                                    &
-        ONLY:  cloud_physics, domask, domask_no, domask_time_count, mask_i,    &
-               mask_j, mask_k, mask_size, mask_size_l, mask_start_l,           &
-               max_masks, message_string, mid, netcdf_data_format,             &
-               nz_do3d, simulated_time
-    
+        ONLY:  cloud_physics, domask, domask_no, domask_time_count,            &
+               mask_i, mask_j, mask_k, mask_size, mask_size_l,                 &
+               mask_start_l, max_masks, message_string, mid,                   &
+               netcdf_data_format, nz_do3d, simulated_time
     USE cpulog,                                                                &
         ONLY:  cpu_log, log_point
+
+
     
     USE indices,                                                               &
@@ -192,4 +194,11 @@
              ELSE
                 to_be_resorted => lpt_av
+             ENDIF
+
+          CASE ( 'nr' )
+             IF ( av == 0 )  THEN
+                to_be_resorted => nr
+             ELSE
+                to_be_resorted => nr_av
              ENDIF
 
@@ -293,4 +302,11 @@
              ENDIF
 
+          CASE ( 'qc' )
+             IF ( av == 0 )  THEN
+                to_be_resorted => qc
+             ELSE
+                to_be_resorted => qc_av
+             ENDIF
+
           CASE ( 'ql' )
              IF ( av == 0 )  THEN
@@ -367,4 +383,11 @@
              ENDIF
 
+          CASE ( 'qr' )
+             IF ( av == 0 )  THEN
+                to_be_resorted => qr
+             ELSE
+                to_be_resorted => qr_av
+             ENDIF
+
           CASE ( 'rho' )
              IF ( av == 0 )  THEN
Index: /palm/trunk/SOURCE/init_masks.f90
===================================================================
--- /palm/trunk/SOURCE/init_masks.f90	(revision 1437)
+++ /palm/trunk/SOURCE/init_masks.f90	(revision 1438)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! +nr, qc, qr
 ! 
 ! Former revisions:
@@ -85,10 +85,10 @@
                data_output_masks, data_output_masks_user,                      &
                doav, doav_n, domask, domask_no, dz, dz_stretch_level, humidity,&
-               mask, masks, mask_scale, mask_i,                                &
+               icloud_scheme, mask, masks, mask_scale, mask_i,                 &
                mask_i_global, mask_j, mask_j_global, mask_k, mask_k_global,    &
                mask_loop, mask_size, mask_size_l, mask_start_l, mask_x,        &
                mask_x_loop, mask_xyz_dimension, mask_y, mask_y_loop, mask_z,   &
                mask_z_loop, max_masks,  message_string, mid,                   &
-               netcdf_data_format, passive_scalar, ocean
+               netcdf_data_format, passive_scalar, precipitation, ocean
 
     USE grid_variables,                                                        &
@@ -252,4 +252,20 @@
                 unit = 'K'
 
+             CASE ( 'nr' )
+                IF ( .NOT. cloud_physics )  THEN
+                   WRITE ( message_string, * ) 'output of "', TRIM( var ), &
+                        '" requires cloud_physics = .TRUE.'
+                   CALL message( 'init_masks', 'PA0108', 1, 2, 0, 6, 0 )
+                 ELSEIF ( icloud_scheme /= 0 ) THEN
+                   message_string = 'output of "' // TRIM( var ) // '" requi' //  &
+                         'res cloud_scheme = seifert_beheng'
+                   CALL message( 'check_parameters', 'PA0359', 1, 2, 0, 6, 0 )
+                 ELSEIF ( .NOT. precipitation )  THEN
+                   message_string = 'output of "' // TRIM( var ) // '" requi' //  &
+                                 'res precipitation = .TRUE.'
+                   CALL message( 'check_parameters', 'PA0112', 1, 2, 0, 6, 0 )
+                ENDIF
+                unit = '1/m3'
+
              CASE ( 'pc', 'pr' )
                 IF ( .NOT. particle_advection )  THEN
@@ -271,4 +287,16 @@
                 IF ( TRIM( var ) == 'vpt' )  unit = 'K'
 
+             CASE ( 'qc' )
+                IF ( .NOT. cloud_physics )  THEN
+                   message_string = 'output of "' // TRIM( var ) // '" requi' //  &
+                            'res cloud_physics = .TRUE.'
+                   CALL message( 'check_parameters', 'PA0108', 1, 2, 0, 6, 0 )
+                ELSEIF ( icloud_scheme /= 0 ) THEN
+                   message_string = 'output of "' // TRIM( var ) // '" requi' //  &
+                            'res cloud_scheme = seifert_beheng'
+                   CALL message( 'check_parameters', 'PA0359', 1, 2, 0, 6, 0 )
+                ENDIF
+                unit = 'kg/kg'
+
              CASE ( 'ql' )
                 IF ( .NOT. ( cloud_physics  .OR.  cloud_droplets ) )  THEN
@@ -295,4 +323,20 @@
                         '" requires cloud_physics = .TRUE.'
                    CALL message( 'init_masks', 'PA0108', 1, 2, 0, 6, 0 )
+                ENDIF
+                unit = 'kg/kg'
+
+             CASE ( 'qr' )
+                IF ( .NOT. cloud_physics )  THEN
+                   message_string = 'output of "' // TRIM( var ) // '" requi' //  &
+                            'res cloud_physics = .TRUE.'
+                   CALL message( 'check_parameters', 'PA0108', 1, 2, 0, 6, 0 )
+                ELSEIF ( icloud_scheme /= 0 ) THEN
+                   message_string = 'output of "' // TRIM( var ) // '" requi' //  &
+                            'res cloud_scheme = seifert_beheng'
+                   CALL message( 'check_parameters', 'PA0359', 1, 2, 0, 6, 0 )
+                ELSEIF ( .NOT. precipitation )  THEN
+                   message_string = 'output of "' // TRIM( var ) // '" requi' //  &
+                                    'res precipitation = .TRUE.'
+                   CALL message( 'check_parameters', 'PA0112', 1, 2, 0, 6, 0 )
                 ENDIF
                 unit = 'kg/kg'