Index: /palm/trunk/SCRIPTS/.mrun.config.hlrnIII
===================================================================
--- /palm/trunk/SCRIPTS/.mrun.config.hlrnIII	(revision 1439)
+++ /palm/trunk/SCRIPTS/.mrun.config.hlrnIII	(revision 1440)
@@ -1,3 +1,3 @@
-#$Id: .mrun.config.lcxe6 1044 2012-11-07 10:30:58Z maronga $
+#$Id$
 #column 1          column 2                                   column 3
 #name of variable  value of variable (~ must not be used)     scope
@@ -18,8 +18,8 @@
 #
 # The next line is just an example. Add your own line below or replace this line.
+%host_identifier   hlogin*      lccrayh
+%host_identifier   hxc*         lccrayh
 %host_identifier   blogin*      lccrayb
 %host_identifier   bxc*         lccrayb
-%host_identifier   hlogin*      lccrayh
-%host_identifier   hxcmom*      lccrayh
 #
 #
@@ -31,4 +31,30 @@
 # an Intel-Compiler and mpich2 on this host! Please change
 # appropriately, if you are using a different compiler / MPI-Version.
+#
+# HLRN-III Hannover
+%tmp_user_catalog    /gfs1/work/<replace by your HLRN-III username>     lccrayh parallel
+%tmp_data_catalog    /gfs1/work/<replace by your HLRN-III username>     lccrayh parallel
+%compiler_name       ftn                                                lccrayh parallel
+%compiler_name_ser   ftn                                                lccrayh parallel
+%cpp_options         -e:Z:-DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf:-D__netcdf4:-D__netcdf4_parallel:-D__fftw   lccrayh parallel
+%mopts               -j:4                                               lccrayh parallel
+%fopts               -em:-O3:-hnoomp:-hfp3:-hdynamic                    lccrayh parallel
+%lopts               -em:-O3:-hnoomp:-hfp3:-hdynamic:-dynamic           lccrayh parallel
+%remote_username     <replace by your HLRN-III username>                lccrayh parallel
+%memory              2300                                               lccrayh parallel
+%modules             fftw:cray-hdf5-parallel:cray-netcdf-hdf5parallel   lccrayh parallel
+#
+# HLRN-III Hannover debug/trace mode
+%tmp_user_catalog    /gfs1/work/<replace by your HLRN-III username>     lccrayh parallel trace
+%tmp_data_catalog    /gfs1/work/<replace by your HLRN-III username>     lccrayh parallel trace
+%compiler_name       ftn                                                lccrayh parallel trace
+%compiler_name_ser   ftn                                                lccrayh parallel trace
+%cpp_options         -e:Z:-DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf:-D__netcdf4:-D__netcdf4_parallel:-D__fftw   lccrayh parallel trace
+%mopts               -j:4                                               lccrayh parallel trace
+%fopts               -eD:-em:-g:-R:b:-K:trap=fp:-O0:-hnoomp             lccrayh parallel trace
+%lopts               -eD:-em:-g:-R:b:-K:trap=fp:-O0:-hnoomp             lccrayh parallel trace
+%remote_username     <replace by your HLRN-III username>                lccrayh parallel trace
+%memory              2300                                               lccrayh parallel trace
+%modules             fftw:cray-hdf5-parallel:cray-netcdf-hdf5parallel   lccrayh parallel trace
 #
 # HLRN-III Berlin
@@ -42,5 +68,5 @@
 %lopts               -em:-O3:-hnoomp:-hfp3:-hdynamic:-dynamic           lccrayb parallel
 %remote_username     <replace by your HLRN-III username>                lccrayb parallel
-%memory              1500                                               lccrayb parallel
+%memory              2300                                               lccrayb parallel
 %modules             fftw:cray-hdf5-parallel:cray-netcdf-hdf5parallel   lccrayb parallel
 #
@@ -55,32 +81,6 @@
 %lopts               -eD:-em:-g:-R:b:-K:trap=fp:-O0:-hnoomp             lccrayb parallel trace
 %remote_username     <replace by your HLRN-III username>                lccrayb parallel trace
-%memory              1600                                               lccrayb parallel trace
+%memory              2300                                               lccrayb parallel trace
 %modules             fftw:cray-hdf5-parallel:cray-netcdf-hdf5parallel   lccrayb parallel trace
-#
-# HLRN-III Hannover
-%tmp_user_catalog    /gfs1/work/<replace by your HLRN-III username>     lccrayh parallel
-%tmp_data_catalog    /gfs1/work/<replace by your HLRN-III username>     lccrayh parallel
-%compiler_name       ftn                                                lccrayh parallel
-%compiler_name_ser   ftn                                                lccrayh parallel
-%cpp_options         -e:Z:-DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf:-D__netcdf4:-D__netcdf4_parallel:-D__fftw   lccrayh parallel
-%mopts               -j:4                                               lccrayh parallel
-%fopts               -em:-O3:-hnoomp:-hfp3:-hdynamic                    lccrayh parallel
-%lopts               -em:-O3:-hnoomp:-hfp3:-hdynamic:-dynamic           lccrayh parallel
-%remote_username     <replace by your HLRN-III username>                lccrayh parallel
-%memory              1500                                               lccrayh parallel
-%modules             fftw:cray-hdf5-parallel:cray-netcdf-hdf5parallel   lccrayh parallel
-#
-# HLRN-III Hannover debug/trace mode
-%tmp_user_catalog    /gfs1/work/<replace by your HLRN-III username>     lccrayh parallel trace
-%tmp_data_catalog    /gfs1/work/<replace by your HLRN-III username>     lccrayh parallel trace
-%compiler_name       ftn                                                lccrayh parallel trace
-%compiler_name_ser   ftn                                                lccrayh parallel trace
-%cpp_options         -e:Z:-DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf:-D__netcdf4:-D__netcdf4_parallel:-D__fftw   lccrayh parallel trace
-%mopts               -j:4                                               lccrayh parallel trace
-%fopts               -eD:-em:-g:-R:b:-K:trap=fp:-O0:-hnoomp             lccrayh parallel trace
-%lopts               -eD:-em:-g:-R:b:-K:trap=fp:-O0:-hnoomp             lccrayh parallel trace
-%remote_username     <replace by your HLRN-III username>                lccrayh parallel trace
-%memory              1600                                               lccrayh parallel trace
-%modules             fftw:cray-hdf5-parallel:cray-netcdf-hdf5parallel   lccrayh parallel trace
 #             
 %write_binary        true                             restart
Index: /palm/trunk/SCRIPTS/.mrun.config.imuk
===================================================================
--- /palm/trunk/SCRIPTS/.mrun.config.imuk	(revision 1439)
+++ /palm/trunk/SCRIPTS/.mrun.config.imuk	(revision 1440)
@@ -1,2 +1,3 @@
+#$Id$
 #column 1          column 2                                   column 3
 #name of variable  value of variable (~ must not be used)     scope
@@ -16,42 +17,34 @@
 # (IBM-AIX), or "nec" (NEC-SX), respectively.
 #
-%host_identifier   inferno      lcmuk
+# The next line is just an example. Add your own line below or replace this line.
+%host_identifier   bora     lcmuk
 #
-# version 03/02/2013
-%remote_username   <replace by your IMUK username>                             lcmuk
-#%tmp_user_catalog /home/<replace by your IMUK username>/palm/tmp/             lcmuk
-%compiler_name     ifort                                                       lcmuk
-%compiler_name_ser ifort                                                       lcmuk
-%cpp_options       -cpp:-D__netcdf:-D__intel_compiler                          lcmuk
-%netcdf_inc        -I:/muksoft/packages/netcdf/3.6.3/include                   lcmuk
-%netcdf_lib        -L/muksoft/packages/netcdf/3.6.3/lib:-lnetcdf               lcmuk
-%mopts             -j:4                                                        lcmuk
-%fopts             -fltconsistency:-O3:-cpp:-nbs:-convert:little_endian:-diag-disable:8290,8291    lcmuk
-%lopts             -fltconsistency:-O3:-cpp:-nbs:-lmf:-lm:-Vaxlib          lcmuk
-#
-# version 03/02/2013
+# IMUK 
 %remote_username   <replace by your IMUK username>                             lcmuk parallel
-#%tmp_user_catalog /home/<replace by your IMUK username>/palm/tmp/             lcmuk parallel
+%tmp_user_catalog  /localdata                                                  lcmuk parallel
 %compiler_name     mpif90                                                      lcmuk parallel
 %compiler_name_ser ifort                                                       lcmuk parallel
-%cpp_options       -cpp:-DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf:-D__intel_compiler  lcmuk parallel
-%netcdf_inc        -I:/muksoft/packages/netcdf/3.6.3/include                   lcmuk parallel
-%netcdf_lib        -L/muksoft/packages/netcdf/3.6.3/lib:-lnetcdf               lcmuk parallel
+%cpp_options       -cpp:-DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf:-D__fftw:-D__intel_compiler  lcmuk parallel
+%netcdf_inc        -I:/muksoft/packages/netcdf/4_intel/include                 lcmuk parallel
+%netcdf_lib        -L/muksoft/packages/netcdf/4_intel/lib:-lnetcdf:-lnetcdff   lcmuk parallel
+%fftw_inc          -I:/muksoft/packages/fftw/3.3.4/include                     lcmuk parallel
+%fftw_lib          -L/muksoft/packages/fftw/3.3.4/lib64:-lfftw3                lcmuk parallel
 %mopts             -j:4                                                        lcmuk parallel
-%fopts             -O3:-cpp:-fp-model:precise:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-convert:little_endian:-diag-disable:8290,8291  lcmuk parallel
-%lopts             -O3:-cpp:-fp-model:precise:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-limf:-lm:-Vaxlib       lcmuk parallel
-#%hostfile          $base_directory/.hostfile                                  lcmuk parallel
+%fopts             -fpe0:-O3:-cpp:-fp-model:source:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-diag-disable:8290,8291  lcmuk parallel
+%lopts             -fpe0:-O3:-cpp:-fp-model:source:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-diag-disable:8290,8291  lcmuk parallel
 #
-# version 03/02/2013
+# IMUK debug/trace mode
 %remote_username   <replace by your IMUK username>                             lcmuk parallel trace
-#%tmp_user_catalog /home/<replace by your IMUK username>/palm/tmp/             lcmuk parallel trace
+%tmp_user_catalog  /localdata                                                  lcmuk parallel trace
 %compiler_name     mpif90                                                      lcmuk parallel trace
 %compiler_name_ser ifort                                                       lcmuk parallel trace
-%cpp_options       -DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf:-D__intel_compiler   lcmuk parallel trace
-%netcdf_inc        -I:/muksoft/packages/netcdf/3.6.3/include            lcmuk parallel trace
-%netcdf_lib        -L/muksoft/packages/netcdf/3.6.3/lib:-lnetcdf        lcmuk parallel trace
-%fopts             -C:-check:nooutput_conversion:-fpe0:-debug:-traceback:-g:-w:-xT:-O0:-cpp:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-convert:little_endian:-diag-disable:8290,8291  lcmuk parallel trace
-%lopts             -C:-check:nooutput_conversion:-fpe0:-debug:-traceback:-g:-w:-xT:-O0:-cpp:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-limf:-lm:-Vaxlib       lcmuk parallel trace
-
+%cpp_options       -cpp:-DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf:-D__fftw:-D__intel_compiler   lcmuk parallel trace
+%netcdf_inc        -I:/muksoft/packages/netcdf/4_intel/include                 lcmuk parallel trace
+%netcdf_lib        -L/muksoft/packages/netcdf/4_intel/lib:-lnetcdf:-lnetcdff   lcmuk parallel trace
+%fftw_inc          -I:/muksoft/packages/fftw/3.3.4/include                     lcmuk parallel trace
+%fftw_lib          -L/muksoft/packages/fftw/3.3.4/lib64:-lfftw3                lcmuk parallel trace
+%fopts             -fpe0:-C:-check:nooutput_conversion:-debug:-traceback:-g:-w:-xT:-O0:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-convert:little_endian:-diag-disable:8290,8291  lcmuk parallel trace
+%lopts             -fpe0:-C:-check:nooutput_conversion:-debug:-traceback:-g:-w:-xT:-O0:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-limf:-lm:-Vaxlib       lcmuk parallel trace
+#
 %write_binary                true                             restart
 #
@@ -70,9 +63,4 @@
 # OUTPUT-commands - executed when program terminates normally
 #----------------------------------------------------------------------------
-#
-# Combine 1D- and 3D-profile output (these files are not usable for plotting)
-OC:[[ -f LIST_PROFIL_1D     ]]  &&  cat  LIST_PROFIL_1D  >>  LIST_PROFILE
-OC:[[ -f LIST_PROFIL        ]]  &&  cat  LIST_PROFIL     >>  LIST_PROFILE
-#
 # Combine all particle information files
 OC:[[ -f PARTICLE_INFOS/_0000 ]]  &&  cat  PARTICLE_INFOS/* >> PARTICLE_INFO
Index: /palm/trunk/SCRIPTS/.mrun.config.imuk_hlrnIII
===================================================================
--- /palm/trunk/SCRIPTS/.mrun.config.imuk_hlrnIII	(revision 1440)
+++ /palm/trunk/SCRIPTS/.mrun.config.imuk_hlrnIII	(revision 1440)
@@ -0,0 +1,220 @@
+#$Id$
+#column 1          column 2                                   column 3
+#name of variable  value of variable (~ must not be used)     scope
+#----------------------------------------------------------------------------
+%mainprog          palm.f90
+%base_directory    $HOME/palm/current_version
+%base_data         ~/palm/current_version/JOBS
+%source_path       $base_directory/trunk/SOURCE
+%add_source_path   $base_directory/USER_CODE/$fname
+%depository_path   $base_directory/MAKE_DEPOSITORY
+#%use_makefile      true
+#
+# Enter your own host below by adding another line containing in the second
+# column your hostname (as provided by the unix command "hostname") and in the
+# third column the host identifier. Depending on your operating system, the
+# first characters of the host identifier should be "lc" (Linux cluster), "ibm"
+# (IBM-AIX), or "nec" (NEC-SX), respectively.
+#
+#
+# The next line is just an example. Add your own line below or replace this line.
+%host_identifier   bora         lcmuk
+%host_identifier   hlogin*      lccrayh
+%host_identifier   hxc*         lccrayh
+%host_identifier   blogin*      lccrayb
+%host_identifier   bxc*         lccrayb
+#
+# IMUK 
+%remote_username   <replace by your IMUK username>                             lcmuk parallel
+%tmp_user_catalog  /localdata                                                  lcmuk parallel
+%compiler_name     mpif90                                                      lcmuk parallel
+%compiler_name_ser ifort                                                       lcmuk parallel
+%cpp_options       -cpp:-DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf:-D__fftw:-D__intel_compiler  lcmuk parallel
+%netcdf_inc        -I:/muksoft/packages/netcdf/4_intel/include                 lcmuk parallel
+%netcdf_lib        -L/muksoft/packages/netcdf/4_intel/lib:-lnetcdf:-lnetcdff   lcmuk parallel
+%fftw_inc          -I:/muksoft/packages/fftw/3.3.4/include                     lcmuk parallel
+%fftw_lib          -L/muksoft/packages/fftw/3.3.4/lib64:-lfftw3                lcmuk parallel
+%mopts             -j:4                                                        lcmuk parallel
+%fopts             -fpe0:-O3:-cpp:-fp-model:source:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-diag-disable:8290,8291  lcmuk parallel
+%lopts             -fpe0:-O3:-cpp:-fp-model:source:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-diag-disable:8290,8291  lcmuk parallel
+#
+# IMUK debug/trace mode
+%remote_username   <replace by your IMUK username>                             lcmuk parallel trace
+%tmp_user_catalog  /localdata                                                  lcmuk parallel trace
+%compiler_name     mpif90                                                      lcmuk parallel trace
+%compiler_name_ser ifort                                                       lcmuk parallel trace
+%cpp_options       -cpp:-DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf:-D__fftw:-D__intel_compiler   lcmuk parallel trace
+%netcdf_inc        -I:/muksoft/packages/netcdf/4_intel/include                 lcmuk parallel trace
+%netcdf_lib        -L/muksoft/packages/netcdf/4_intel/lib:-lnetcdf:-lnetcdff   lcmuk parallel trace
+%fftw_inc          -I:/muksoft/packages/fftw/3.3.4/include                     lcmuk parallel trace
+%fftw_lib          -L/muksoft/packages/fftw/3.3.4/lib64:-lfftw3                lcmuk parallel trace
+%fopts             -fpe0:-C:-check:nooutput_conversion:-debug:-traceback:-g:-w:-xT:-O0:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-convert:little_endian:-diag-disable:8290,8291  lcmuk parallel trace
+%lopts             -fpe0:-C:-check:nooutput_conversion:-debug:-traceback:-g:-w:-xT:-O0:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-limf:-lm:-Vaxlib       lcmuk parallel trace
+#
+# HLRN-III Hannover
+%tmp_user_catalog    /gfs1/work/<replace by your HLRN-III username>     lccrayh parallel
+%tmp_data_catalog    /gfs1/work/<replace by your HLRN-III username>     lccrayh parallel
+%compiler_name       ftn                                                lccrayh parallel
+%compiler_name_ser   ftn                                                lccrayh parallel
+%cpp_options         -e:Z:-DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf:-D__netcdf4:-D__netcdf4_parallel:-D__fftw   lccrayh parallel
+%mopts               -j:4                                               lccrayh parallel
+%fopts               -em:-O3:-hnoomp:-hfp3:-hdynamic                    lccrayh parallel
+%lopts               -em:-O3:-hnoomp:-hfp3:-hdynamic:-dynamic           lccrayh parallel
+%remote_username     <replace by your HLRN-III username>                lccrayh parallel
+%memory              2300                                               lccrayh parallel
+%modules             fftw:cray-hdf5-parallel:cray-netcdf-hdf5parallel   lccrayh parallel
+#
+# HLRN-III Hannover debug/trace mode
+%tmp_user_catalog    /gfs1/work/<replace by your HLRN-III username>     lccrayh parallel trace
+%tmp_data_catalog    /gfs1/work/<replace by your HLRN-III username>     lccrayh parallel trace
+%compiler_name       ftn                                                lccrayh parallel trace
+%compiler_name_ser   ftn                                                lccrayh parallel trace
+%cpp_options         -e:Z:-DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf:-D__netcdf4:-D__netcdf4_parallel:-D__fftw   lccrayh parallel trace
+%mopts               -j:4                                               lccrayh parallel trace
+%fopts               -eD:-em:-g:-R:b:-K:trap=fp:-O0:-hnoomp             lccrayh parallel trace
+%lopts               -eD:-em:-g:-R:b:-K:trap=fp:-O0:-hnoomp             lccrayh parallel trace
+%remote_username     <replace by your HLRN-III username>                lccrayh parallel trace
+%memory              2300                                               lccrayh parallel trace
+%modules             fftw:cray-hdf5-parallel:cray-netcdf-hdf5parallel   lccrayh parallel trace
+#
+# HLRN-III Berlin
+%tmp_user_catalog    /gfs1/work/<replace by your HLRN-III username>     lccrayb parallel
+%tmp_data_catalog    /gfs1/work/<replace by your HLRN-III username>     lccrayb parallel
+%compiler_name       ftn                                                lccrayb parallel
+%compiler_name_ser   ftn                                                lccrayb parallel
+%cpp_options         -e:Z:-DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf:-D__netcdf4:-D__netcdf4_parallel:-D__fftw   lccrayb parallel
+%mopts               -j:4                                               lccrayb parallel
+%fopts               -em:-O3:-hnoomp:-hfp3:-hdynamic                    lccrayb parallel
+%lopts               -em:-O3:-hnoomp:-hfp3:-hdynamic:-dynamic           lccrayb parallel
+%remote_username     <replace by your HLRN-III username>                lccrayb parallel
+%memory              2300                                               lccrayb parallel
+%modules             fftw:cray-hdf5-parallel:cray-netcdf-hdf5parallel   lccrayb parallel
+#
+# HLRN-III Berlin debug/trace mode
+%tmp_user_catalog    /gfs1/work/<replace by your HLRN-III username>     lccrayb parallel trace
+%tmp_data_catalog    /gfs1/work/<replace by your HLRN-III username>     lccrayb parallel trace
+%compiler_name       ftn                                                lccrayb parallel trace
+%compiler_name_ser   ftn                                                lccrayb parallel trace
+%cpp_options         -e:Z:-DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf:-D__netcdf4:-D__netcdf4_parallel:-D__fftw   lccrayb parallel trace
+%mopts               -j:4                                               lccrayb parallel trace
+%fopts               -eD:-em:-g:-R:b:-K:trap=fp:-O0:-hnoomp             lccrayb parallel trace
+%lopts               -eD:-em:-g:-R:b:-K:trap=fp:-O0:-hnoomp             lccrayb parallel trace
+%remote_username     <replace by your HLRN-III username>                lccrayb parallel trace
+%memory              2300                                               lccrayb parallel trace
+%modules             fftw:cray-hdf5-parallel:cray-netcdf-hdf5parallel   lccrayb parallel trace
+#
+%write_binary                true                             restart
+#
+#----------------------------------------------------------------------------
+# INPUT-commands, executed before running PALM - lines must start with "IC:"
+#----------------------------------------------------------------------------
+#IC:
+#
+#----------------------------------------------------------------------------
+# ERROR-commands - executed when program terminates abnormally
+#----------------------------------------------------------------------------
+EC:[[ \$locat = execution ]]  &&  cat  RUN_CONTROL
+EC:pwd; ls -al
+#
+#----------------------------------------------------------------------------
+# OUTPUT-commands - executed when program terminates normally
+#----------------------------------------------------------------------------
+# Combine all particle information files
+OC:[[ -f PARTICLE_INFOS/_0000 ]]  &&  cat  PARTICLE_INFOS/* >> PARTICLE_INFO
+#
+#----------------------------------------------------------------------------
+# List of input-files
+#----------------------------------------------------------------------------
+PARIN                    in:job        d3#      $base_data/$fname/INPUT    _p3d
+PARIN                    in:job        d3f      $base_data/$fname/INPUT    _p3df
+TOPOGRAPHY_DATA          in:locopt     d3#:d3f  $base_data/$fname/INPUT    _topo
+NUDGING_DATA             in:locopt     d3#:d3f  $base_data/$fname/INPUT    _nudge
+LSF_DATA                 in:locopt     d3#:d3f  $base_data/$fname/INPUT    _lsf
+BININ                    in:loc:flpe   d3f      $base_data/$fname/RESTART  _d3d
+PARTICLE_RESTART_DATA_IN in:loc:flpe   prtf     $base_data/$fname/RESTART  _rprt
+DATA_1D_PR_NETCDF        in:locopt     prf      $base_data/$fname/OUTPUT   _pr     nc
+DATA_1D_SP_NETCDF        in:locopt     spf      $base_data/$fname/OUTPUT   _sp     nc
+DATA_1D_TS_NETCDF        in:locopt     tsf      $base_data/$fname/OUTPUT   _ts     nc
+DATA_1D_PTS_NETCDF       in:locopt     ptsf     $base_data/$fname/OUTPUT   _pts    nc
+DATA_2D_XY_NETCDF        in:locopt     xyf      $base_data/$fname/OUTPUT   _xy     nc
+DATA_2D_XY_AV_NETCDF     in:locopt     xyf      $base_data/$fname/OUTPUT   _xy_av  nc
+DATA_2D_XZ_NETCDF        in:locopt     xzf      $base_data/$fname/OUTPUT   _xz     nc
+DATA_2D_YZ_NETCDF        in:locopt     yzf      $base_data/$fname/OUTPUT   _yz     nc
+DATA_3D_NETCDF           in:locopt     3df      $base_data/$fname/OUTPUT   _3d     nc
+DATA_PRT_NETCDF          in:locopt:pe  prtf     $base_data/$fname/OUTPUT   _prt
+#
+#----------------------------------------------------------------------------
+# List of output-files
+#----------------------------------------------------------------------------
+BINOUT                    out:loc:flpe restart   $base_data/$fname/RESTART  _d3d
+PARTICLE_RESTART_DATA_OUT out:loc:flpe prt#:prtf $base_data/$fname/RESTART  _rprt
+#
+RUN_CONTROL       out:loc:tr   d3#     $base_data/$fname/MONITORING  _rc
+RUN_CONTROL       out:loc:tra  d3f     $base_data/$fname/MONITORING  _rc
+HEADER            out:loc:tr   d3#     $base_data/$fname/MONITORING  _header
+HEADER            out:loc:tra  d3f     $base_data/$fname/MONITORING  _header
+CPU_MEASURES      out:loc:tr   d3#     $base_data/$fname/MONITORING  _cpu
+CPU_MEASURES      out:loc:tra  d3f     $base_data/$fname/MONITORING  _cpu
+#
+DATA_1D_PR_NETCDF    out:loc:tr   pr#:prf   $base_data/$fname/OUTPUT  _pr      nc
+DATA_1D_SP_NETCDF    out:loc:tr   sp#:spf   $base_data/$fname/OUTPUT  _sp      nc
+DATA_1D_TS_NETCDF    out:loc:tr   ts#:tsf   $base_data/$fname/OUTPUT  _ts      nc
+DATA_1D_PTS_NETCDF   out:loc:tr   pts#:ptsf $base_data/$fname/OUTPUT  _pts     nc
+DATA_2D_XY_NETCDF    out:loc:tr   xy#:xyf   $base_data/$fname/OUTPUT  _xy      nc
+DATA_2D_XY_AV_NETCDF out:loc:tr   xy#:xyf   $base_data/$fname/OUTPUT  _xy_av   nc
+DATA_2D_XZ_NETCDF    out:loc:tr   xz#:xzf   $base_data/$fname/OUTPUT  _xz      nc
+DATA_2D_XZ_AV_NETCDF out:loc:tr   xz#:xzf   $base_data/$fname/OUTPUT  _xz_av   nc
+DATA_2D_YZ_NETCDF    out:loc:tr   yz#:yzf   $base_data/$fname/OUTPUT  _yz      nc
+DATA_2D_YZ_AV_NETCDF out:loc:tr   yz#:yzf   $base_data/$fname/OUTPUT  _yz_av   nc
+DATA_3D_NETCDF       out:loc:tr   3d#:3df   $base_data/$fname/OUTPUT  _3d      nc
+DATA_3D_AV_NETCDF    out:loc:tr   3d#:3df   $base_data/$fname/OUTPUT  _3d_av   nc
+DATA_MASK_01_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m01     nc
+DATA_MASK_01_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m01_av  nc
+DATA_MASK_02_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m02     nc
+DATA_MASK_02_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m02_av  nc
+DATA_MASK_03_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m03     nc
+DATA_MASK_03_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m03_av  nc
+DATA_MASK_04_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m04     nc
+DATA_MASK_04_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m04_av  nc
+DATA_MASK_05_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m05     nc
+DATA_MASK_05_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m05_av  nc
+DATA_MASK_06_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m06     nc
+DATA_MASK_06_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m06_av  nc
+DATA_MASK_07_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m07     nc
+DATA_MASK_07_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m07_av  nc
+DATA_MASK_08_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m08     nc
+DATA_MASK_08_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m08_av  nc
+DATA_MASK_09_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m09     nc
+DATA_MASK_09_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m09_av  nc
+DATA_MASK_10_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m10     nc
+DATA_MASK_10_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m10_av  nc
+DATA_MASK_11_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m11     nc
+DATA_MASK_11_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m11_av  nc
+DATA_MASK_12_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m12     nc
+DATA_MASK_12_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m12_av  nc
+DATA_MASK_13_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m13     nc
+DATA_MASK_13_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m13_av  nc
+DATA_MASK_14_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m14     nc
+DATA_MASK_14_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m14_av  nc
+DATA_MASK_15_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m15     nc
+DATA_MASK_15_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m15_av  nc
+DATA_MASK_16_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m16     nc
+DATA_MASK_16_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m16_av  nc
+DATA_MASK_17_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m17     nc
+DATA_MASK_17_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m17_av  nc
+DATA_MASK_18_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m18     nc
+DATA_MASK_18_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m18_av  nc
+DATA_MASK_19_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m19     nc
+DATA_MASK_19_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m19_av  nc
+DATA_MASK_20_NETCDF    out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m20     nc
+DATA_MASK_20_AV_NETCDF out:loc:tr ma#:maf   $base_data/$fname/OUTPUT  _m20_av  nc
+DATA_PRT_NETCDF      out:loc:pe   prt#:prtf $base_data/$fname/OUTPUT  _prt     nc
+DATA_PRT_NETCDF      out:loc:trpe prt#:prtf $base_data/$fname/OUTPUT  _prt     nc
+DATA_DVR             out:loc:trpe dvr       $base_data/$fname/OUTPUT  _dvr
+#
+DVRP_LOG          out:loc:tr   dv#       $base_data/$fname/MONITORING  _dvrp_log
+DVRP_LOG          out:loc:tra  dvf       $base_data/$fname/MONITORING  _dvrp_log
+PARTICLE_INFO     out:loc:tr   pt#       $base_data/$fname/MONITORING  _prt_info
+PARTICLE_INFO     out:loc:tra  ptf       $base_data/$fname/MONITORING  _prt_info
+PARTICLE_DATA     out:loc:flpe prt#:prtf $base_data/$fname/OUTPUT      _prt_dat
+# A BLANK LINE MUST FOLLOW
Index: /palm/trunk/SCRIPTS/.mrun.config.imuknb
===================================================================
--- /palm/trunk/SCRIPTS/.mrun.config.imuknb	(revision 1439)
+++ /palm/trunk/SCRIPTS/.mrun.config.imuknb	(revision 1440)
@@ -35,6 +35,6 @@
 %netcdf_lib        -L/opt/netcdf-3.6.3/lib64:-lnetcdf            lcmuknb parallel
 %mopts             -j:4                                          lcmuknb parallel
-%fopts             -xS:-nbs:-convert:little_endian:-I:/opt/mpich2-1.5/include   lcmuknb parallel
-%lopts             -xS:-nbs:-Vaxlib:-L:/opt/mpich2-1.5/lib64                    lcmuknb parallel
+%fopts             -fpe0:-O3:-xHost:-fp-model:source:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-diag-disable:8290,8291:-I:/opt/mpich2-1.5/include   lcmuknb parallel
+%lopts             -fpe0:-O3:-xHost:-fp-model:source:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-diag-disable:8290,8291:-L:/opt/mpich2-1.5/lib64     lcmuknb parallel
 #
 #
@@ -47,6 +47,6 @@
 %netcdf_lib        -L/opt/netcdf-3.6.3/lib64:-lnetcdf            lcmuknb parallel trace
 %mopts             -j:4                                          lcmuknb parallel trace
-%fopts             -C:-check:nooutput_conversion:-fpe0:-debug:-traceback:-g:-w:-xT:-O0:-cpp:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-convert:little_endian  lcmuknb parallel trace
-%lopts             -C:-check:nooutput_conversion:-fpe0:-debug:-traceback:-g:-w:-xT:-O0:-cpp:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-Vaxlib  lcmuknb parallel trace
+%fopts             -C:-check:nooutput_conversion:-fpe0:-debug:-traceback:-g:-w:-O0:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-convert:little_endian  lcmuknb parallel trace
+%lopts             -C:-check:nooutput_conversion:-fpe0:-debug:-traceback:-g:-w:-O0:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs                         lcmuknb parallel trace
 #
 #