Index: palm/trunk/SCRIPTS/.mrun.config.imuk_hlrnIII
===================================================================
--- palm/trunk/SCRIPTS/.mrun.config.imuk_hlrnIII	(revision 1440)
+++ palm/trunk/SCRIPTS/.mrun.config.imuk_hlrnIII	(revision 1446)
@@ -19,5 +19,5 @@
 #
 # The next line is just an example. Add your own line below or replace this line.
-%host_identifier   bora         lcmuk
+%host_identifier   <replace_by_your_IMUK_hostname>         lcmuk
 %host_identifier   hlogin*      lccrayh
 %host_identifier   hxc*         lccrayh
@@ -26,5 +26,5 @@
 #
 # IMUK 
-%remote_username   <replace by your IMUK username>                             lcmuk parallel
+%remote_username   <replace_by_your_IMUK_username>                             lcmuk parallel
 %tmp_user_catalog  /localdata                                                  lcmuk parallel
 %compiler_name     mpif90                                                      lcmuk parallel
@@ -40,5 +40,5 @@
 #
 # IMUK debug/trace mode
-%remote_username   <replace by your IMUK username>                             lcmuk parallel trace
+%remote_username   <replace_by_your_IMUK_username>                             lcmuk parallel trace
 %tmp_user_catalog  /localdata                                                  lcmuk parallel trace
 %compiler_name     mpif90                                                      lcmuk parallel trace
@@ -53,6 +53,6 @@
 #
 # HLRN-III Hannover
-%tmp_user_catalog    /gfs1/work/<replace by your HLRN-III username>     lccrayh parallel
-%tmp_data_catalog    /gfs1/work/<replace by your HLRN-III username>     lccrayh parallel
+%tmp_user_catalog    /gfs1/work/<replace_by_your_HLRN-III_username>     lccrayh parallel
+%tmp_data_catalog    /gfs1/work/<replace_by_your_HLRN-III_username>     lccrayh parallel
 %compiler_name       ftn                                                lccrayh parallel
 %compiler_name_ser   ftn                                                lccrayh parallel
@@ -61,11 +61,11 @@
 %fopts               -em:-O3:-hnoomp:-hfp3:-hdynamic                    lccrayh parallel
 %lopts               -em:-O3:-hnoomp:-hfp3:-hdynamic:-dynamic           lccrayh parallel
-%remote_username     <replace by your HLRN-III username>                lccrayh parallel
+%remote_username     <replace_by_your_HLRN-III_username>                lccrayh parallel
 %memory              2300                                               lccrayh parallel
 %modules             fftw:cray-hdf5-parallel:cray-netcdf-hdf5parallel   lccrayh parallel
 #
 # HLRN-III Hannover debug/trace mode
-%tmp_user_catalog    /gfs1/work/<replace by your HLRN-III username>     lccrayh parallel trace
-%tmp_data_catalog    /gfs1/work/<replace by your HLRN-III username>     lccrayh parallel trace
+%tmp_user_catalog    /gfs1/work/<replace_by_your_HLRN-III_username>     lccrayh parallel trace
+%tmp_data_catalog    /gfs1/work/<replace_by_your_HLRN-III_username>     lccrayh parallel trace
 %compiler_name       ftn                                                lccrayh parallel trace
 %compiler_name_ser   ftn                                                lccrayh parallel trace
@@ -74,11 +74,11 @@
 %fopts               -eD:-em:-g:-R:b:-K:trap=fp:-O0:-hnoomp             lccrayh parallel trace
 %lopts               -eD:-em:-g:-R:b:-K:trap=fp:-O0:-hnoomp             lccrayh parallel trace
-%remote_username     <replace by your HLRN-III username>                lccrayh parallel trace
+%remote_username     <replace_by_your_HLRN-III_username>                lccrayh parallel trace
 %memory              2300                                               lccrayh parallel trace
 %modules             fftw:cray-hdf5-parallel:cray-netcdf-hdf5parallel   lccrayh parallel trace
 #
 # HLRN-III Berlin
-%tmp_user_catalog    /gfs1/work/<replace by your HLRN-III username>     lccrayb parallel
-%tmp_data_catalog    /gfs1/work/<replace by your HLRN-III username>     lccrayb parallel
+%tmp_user_catalog    /gfs1/work/<replace_by_your_HLRN-III_username>     lccrayb parallel
+%tmp_data_catalog    /gfs1/work/<replace_by_your_HLRN-III_username>     lccrayb parallel
 %compiler_name       ftn                                                lccrayb parallel
 %compiler_name_ser   ftn                                                lccrayb parallel
@@ -87,11 +87,11 @@
 %fopts               -em:-O3:-hnoomp:-hfp3:-hdynamic                    lccrayb parallel
 %lopts               -em:-O3:-hnoomp:-hfp3:-hdynamic:-dynamic           lccrayb parallel
-%remote_username     <replace by your HLRN-III username>                lccrayb parallel
+%remote_username     <replace_by_your_HLRN-III_username>                lccrayb parallel
 %memory              2300                                               lccrayb parallel
 %modules             fftw:cray-hdf5-parallel:cray-netcdf-hdf5parallel   lccrayb parallel
 #
 # HLRN-III Berlin debug/trace mode
-%tmp_user_catalog    /gfs1/work/<replace by your HLRN-III username>     lccrayb parallel trace
-%tmp_data_catalog    /gfs1/work/<replace by your HLRN-III username>     lccrayb parallel trace
+%tmp_user_catalog    /gfs1/work/<replace_by_your_HLRN-III_username>     lccrayb parallel trace
+%tmp_data_catalog    /gfs1/work/<replace_by_your_HLRN-III_username>     lccrayb parallel trace
 %compiler_name       ftn                                                lccrayb parallel trace
 %compiler_name_ser   ftn                                                lccrayb parallel trace
@@ -100,5 +100,5 @@
 %fopts               -eD:-em:-g:-R:b:-K:trap=fp:-O0:-hnoomp             lccrayb parallel trace
 %lopts               -eD:-em:-g:-R:b:-K:trap=fp:-O0:-hnoomp             lccrayb parallel trace
-%remote_username     <replace by your HLRN-III username>                lccrayb parallel trace
+%remote_username     <replace_by_your_HLRN-III_username>                lccrayb parallel trace
 %memory              2300                                               lccrayb parallel trace
 %modules             fftw:cray-hdf5-parallel:cray-netcdf-hdf5parallel   lccrayb parallel trace