Index: palm/trunk/SCRIPTS/subjob
===================================================================
--- palm/trunk/SCRIPTS/subjob	(revision 1453)
+++ palm/trunk/SCRIPTS/subjob	(revision 1468)
@@ -23,5 +23,6 @@
 # Current revisions:
 # ------------------
-# 
+# Typo removed (addres->address)
+# Adjustments for lcxe6
 # 
 # Former revisions:
@@ -170,59 +171,59 @@
     # COMMENT OUT, BECAUSE THE HOSTNAME (node*) IS SAME FOR BOTH MACHINES
  case  $local_host  in
-     (ambiel-lx)             local_addres=134.106.74.48;  local_host=lcfor;;
-     (atmos)                 local_addres=172.20.25.35;   local_host=lcide;;
-     (austru)                local_addres=130.75.105.128; local_host=lcmuk;;
-     (autan)                 local_addres=130.75.105.57;  local_host=lcmuk;;
-     (bora)                  local_addres=130.75.105.103; local_host=lcmuk;;
-     (b04*)                  local_addres=133.5.4.33;     local_host=lckyuh;;
-     (blizzard1|p*)          local_addres=136.172.40.15;  local_host=ibmh;;
-     (blizzard2|p*)          local_addres=136.172.40.16;  local_host=ibmh;;
-     (blogin*|bxc*)          local_addres=130.73.233.1;   local_host=lccrayb;;
-     (hlogin*|hxc*)          local_addres=130.75.4.1;     local_host=lccrayh;;
-     (breva)                 local_addres=130.75.105.98;  local_host=lcmuk;;
-     (buran)                 local_addres=130.75.105.58;  local_host=lcmuk;;
-     (caurus)                local_addres=130.75.105.19;  local_host=lcmuk;;
-     (climate*)              local_addres=165.132.26.68;  local_host=lcyon;;
-     (clogin*)               local_addres=86.50.166.21;   local_host=lccrayf;;
-     (cs*)                   local_addres=136.172.44.131; local_host=nech;;
-     (elephanta)             local_addres=130.75.105.6;   local_host=lcmuk;;
-     (flow01)                local_addres=10.141.255.71;  local_host=lcflow;;
-     (flow02)                local_addres=10.141.255.72;  local_host=lcflow;;
-     (node*)                 local_addres=165.132.26.61   local_host=lck;;
-   #  (node*)                 local_addres=210.219.61.8    local_host=lckordi;;
-     (gaia*)                 local_addres=150.183.146.24; local_host=ibmkisti;;
-     (gallego)               local_addres=130.75.105.10;  local_host=lcmuk;;
-     (gregale)               local_addres=130.75.105.109; local_host=lcmuk;;
-     (hababai)               local_addres=130.75.105.108; local_host=lcmuk;;
-     (hayaka*)               local_addres=133.5.4.33;     local_host=lckyuh;;
-     (hexagon.bccs.uib.no)   local_addres=129.177.20.113; local_host=lcxe6;;
-     (hx*)                   local_addres=133.3.51.11;    local_host=lckyoto;;
-     (inferno)               local_addres=130.75.105.5;   local_host=lcmuk;;
-     (irifi)                 local_addres=130.75.105.104; local_host=lcmuk;;
-     (jaboticaba)            local_addres=150.163.25.181; local_host=lcbr;;
-     (sno)                   local_addres=130.75.105.113; local_host=lcmuk;;
-     (levanto)               local_addres=130.75.105.45;  local_host=lcmuk;;
-     (login*)                local_addres=118.128.66.223; local_host=lckiaps;;
-     (maestro)               local_addres=130.75.105.2;   local_host=lcmuk;;
-     (meller)                local_addres=134.106.74.155; local_host=lcfor;;
-     (meteo-login*)          local_addres=193.166.211.144;local_host=lcxt5m;;
-     (hexagon*)		     local_addres=129.177.20.113; local_host=lcxe6;;
-     (nobel*)                local_addres=150.183.5.101;  local_host=ibms;;
-     (orkan)                 local_addres=130.75.105.3;   local_host=lcmuk;;
-     (ostria)                local_addres=130.75.105.106; local_host=lcmuk;;
-     (paesano)               local_addres=130.75.105.46;  local_host=lcmuk;;
-     (pcj*)                  local_addres=172.31.120.1;   local_host=lckyut;;
-     (pingui)                local_addres=134.106.74.118; local_host=lcfor;;
-     (quanero)               local_addres=130.75.105.107; local_host=lcmuk;;
-     (rte*)                  local_addres=133.5.185.60;   local_host=lcrte;;
-     (shiokaze-lx)           local_addres=134.106.74.123; local_host=lcfor;;
-     (sisu-login*)           local_addres=86.50.166.21;   local_host=lccrayf;;
-     (solano)                local_addres=130.75.105.110; local_host=lcmuk;;
-     (sugoka*)               local_addres=172.31.120.1;   local_host=lckyut;;
-     (t2a*)                  local_addres=10.1.6.165;     local_host=lctit;;
-     (urban*)                local_addres=147.46.30.151   local_host=lcsb;;
-     (vinessa)               local_addres=130.75.105.112; local_host=lcmuk;;
-     (vorias)                local_addres=172.20.25.43;   local_host=lcmuk;;
-     (*.cc.kyushu-u.ac.jp)   local_addres=133.5.4.129;    local_host=ibmku;;
+     (ambiel-lx)             local_address=134.106.74.48;  local_host=lcfor;;
+     (atmos)                 local_address=172.20.25.35;   local_host=lcide;;
+     (austru)                local_address=130.75.105.128; local_host=lcmuk;;
+     (autan)                 local_address=130.75.105.57;  local_host=lcmuk;;
+     (bora)                  local_address=130.75.105.103; local_host=lcmuk;;
+     (b04*)                  local_address=133.5.4.33;     local_host=lckyuh;;
+     (blizzard1|p*)          local_address=136.172.40.15;  local_host=ibmh;;
+     (blizzard2|p*)          local_address=136.172.40.16;  local_host=ibmh;;
+     (blogin*|bxc*)          local_address=130.73.233.1;   local_host=lccrayb;;
+     (hlogin*|hxc*)          local_address=130.75.4.1;     local_host=lccrayh;;
+     (breva)                 local_address=130.75.105.98;  local_host=lcmuk;;
+     (buran)                 local_address=130.75.105.58;  local_host=lcmuk;;
+     (caurus)                local_address=130.75.105.19;  local_host=lcmuk;;
+     (climate*)              local_address=165.132.26.68;  local_host=lcyon;;
+     (clogin*)               local_address=86.50.166.21;   local_host=lccrayf;;
+     (cs*)                   local_address=136.172.44.131; local_host=nech;;
+     (elephanta)             local_address=130.75.105.6;   local_host=lcmuk;;
+     (flow01)                local_address=10.141.255.71;  local_host=lcflow;;
+     (flow02)                local_address=10.141.255.72;  local_host=lcflow;;
+     (node*)                 local_address=165.132.26.61   local_host=lck;;
+   #  (node*)                 local_address=210.219.61.8    local_host=lckordi;;
+     (gaia*)                 local_address=150.183.146.24; local_host=ibmkisti;;
+     (gallego)               local_address=130.75.105.10;  local_host=lcmuk;;
+     (gregale)               local_address=130.75.105.109; local_host=lcmuk;;
+     (hababai)               local_address=130.75.105.108; local_host=lcmuk;;
+     (hayaka*)               local_address=133.5.4.33;     local_host=lckyuh;;
+     (hexagon.bccs.uib.no)   local_address=129.177.20.113; local_host=lcxe6;;
+     (hx*)                   local_address=133.3.51.11;    local_host=lckyoto;;
+     (inferno)               local_address=130.75.105.5;   local_host=lcmuk;;
+     (irifi)                 local_address=130.75.105.104; local_host=lcmuk;;
+     (jaboticaba)            local_address=150.163.25.181; local_host=lcbr;;
+     (sno)                   local_address=130.75.105.113; local_host=lcmuk;;
+     (levanto)               local_address=130.75.105.45;  local_host=lcmuk;;
+     (login*)                local_address=118.128.66.223; local_host=lckiaps;;
+     (maestro)               local_address=130.75.105.2;   local_host=lcmuk;;
+     (meller)                local_address=134.106.74.155; local_host=lcfor;;
+     (meteo-login*)          local_address=193.166.211.144;local_host=lcxt5m;;
+     (hexagon*)		     local_address=129.177.20.113; local_host=lcxe6;;
+     (nobel*)                local_address=150.183.5.101;  local_host=ibms;;
+     (orkan)                 local_address=130.75.105.3;   local_host=lcmuk;;
+     (ostria)                local_address=130.75.105.106; local_host=lcmuk;;
+     (paesano)               local_address=130.75.105.46;  local_host=lcmuk;;
+     (pcj*)                  local_address=172.31.120.1;   local_host=lckyut;;
+     (pingui)                local_address=134.106.74.118; local_host=lcfor;;
+     (quanero)               local_address=130.75.105.107; local_host=lcmuk;;
+     (rte*)                  local_address=133.5.185.60;   local_host=lcrte;;
+     (shiokaze-lx)           local_address=134.106.74.123; local_host=lcfor;;
+     (sisu-login*)           local_address=86.50.166.21;   local_host=lccrayf;;
+     (solano)                local_address=130.75.105.110; local_host=lcmuk;;
+     (sugoka*)               local_address=172.31.120.1;   local_host=lckyut;;
+     (t2a*)                  local_address=10.1.6.165;     local_host=lctit;;
+     (urban*)                local_address=147.46.30.151   local_host=lcsb;;
+     (vinessa)               local_address=130.75.105.112; local_host=lcmuk;;
+     (vorias)                local_address=172.20.25.43;   local_host=lcmuk;;
+     (*.cc.kyushu-u.ac.jp)   local_address=133.5.4.129;    local_host=ibmku;;
      (*)                     printf "\n  +++ \"$local_host\" unknown";
                              printf "\n      please contact the PALM group at IMUK";
@@ -346,25 +347,25 @@
  else
     case  $remote_host  in
-        (ibm)     queue=p690_standard; remote_addres=134.76.99.81; submcom=/usr/lpp/LoadL/full/bin/llsubmit;;
-        (ibmh)    queue=cluster; remote_addres=136.172.40.15; submcom=/usr/lpp/LoadL/full/bin/llsubmit;;
-        (ibmkisti) queue=class.32plus; remote_addres=150.183.146.24; submcom=/usr/lpp/LoadL/full/bin/llsubmit;;
-        (ibmku)   queue=s4; remote_addres=133.5.4.129; submcom=/usr/local/bin/llsubmit;;
-        (ibms)    queue=p_normal; remote_addres=150.183.5.101; submcom=/usr/lpp/LoadL/full/bin/llsubmit;;
-        (lccrayb) queue=mpp1testq; remote_addres=130.73.233.1; submcom=/opt/moab/7.2.6/bin/msub;;
-        (lccrayh) queue=mpp1testq; remote_addres=130.75.4.1; submcom=/opt/moab/7.2.6/bin/msub;;
-        (lccrayf) queue=small; remote_addres=86.50.166.21; submcom=/opt/slurm/default/bin/sbatch;;
-        (lcflow)  remote_addres=10.140.1.71; submcom=/cm/shared/apps/sge/6.2u5p2/bin/lx26-amd64/qsub;;
-        (lckyoto) remote_addres=133.3.51.11; submcom=/thin/local/bin/qsub;;
-        (lck)     remote_addres=165.132.26.61; submcom=/usr/torque/bin/qsub;;
-        (lckiaps) remote_addres=118.128.66.223; submcom=/cm/shared/apps/pbspro/11.0.2.110766/bin/qsub;;
-        (lckordi) remote_addres=210.219.61.8; submcom=/usr/torque/bin/qsub;;
-        (lckyuh)  remote_addres=133.5.4.33; submcom=/usr/bin/pjsub;;
-        (lckyut)  remote_addres=133.5.4.37; submcom=/usr/bin/pjsub;;
-        (lcsb)    remote_addres=147.46.30.151; submcom=/usr/torque/bin/qsub;;
-        (lctit)   queue=S; remote_addres=10.1.6.165; submcom=/opt/pbs/tools/bin/t2sub;;
-        (lcxe6)	  remote_addres=129.177.20.113; submcom=/opt/torque/default/bin/qsub;;
-        (lcxt5m)  remote_addres=193.166.211.144; submcom=/opt/pbs/10.1.0.91350/bin/qsub;;
-        (lcyon)   remote_addres=165.132.26.68; submcom=/usr/torque/bin/qsub;;
-        (nech)    qsubmem=memsz_job; qsubtime=cputim_job; remote_addres=136.172.44.147; submcom="/usr/local/bin/qsub";;
+        (ibm)     queue=p690_standard; remote_address=134.76.99.81; submcom=/usr/lpp/LoadL/full/bin/llsubmit;;
+        (ibmh)    queue=cluster; remote_address=136.172.40.15; submcom=/usr/lpp/LoadL/full/bin/llsubmit;;
+        (ibmkisti) queue=class.32plus; remote_address=150.183.146.24; submcom=/usr/lpp/LoadL/full/bin/llsubmit;;
+        (ibmku)   queue=s4; remote_address=133.5.4.129; submcom=/usr/local/bin/llsubmit;;
+        (ibms)    queue=p_normal; remote_address=150.183.5.101; submcom=/usr/lpp/LoadL/full/bin/llsubmit;;
+        (lccrayb) queue=mpp1testq; remote_address=130.73.233.1; submcom=/opt/moab/7.2.6/bin/msub;;
+        (lccrayh) queue=mpp1testq; remote_address=130.75.4.1; submcom=/opt/moab/7.2.6/bin/msub;;
+        (lccrayf) queue=small; remote_address=86.50.166.21; submcom=/opt/slurm/default/bin/sbatch;;
+        (lcflow)  remote_address=10.140.1.71; submcom=/cm/shared/apps/sge/6.2u5p2/bin/lx26-amd64/qsub;;
+        (lckyoto) remote_address=133.3.51.11; submcom=/thin/local/bin/qsub;;
+        (lck)     remote_address=165.132.26.61; submcom=/usr/torque/bin/qsub;;
+        (lckiaps) remote_address=118.128.66.223; submcom=/cm/shared/apps/pbspro/11.0.2.110766/bin/qsub;;
+        (lckordi) remote_address=210.219.61.8; submcom=/usr/torque/bin/qsub;;
+        (lckyuh)  remote_address=133.5.4.33; submcom=/usr/bin/pjsub;;
+        (lckyut)  remote_address=133.5.4.37; submcom=/usr/bin/pjsub;;
+        (lcsb)    remote_address=147.46.30.151; submcom=/usr/torque/bin/qsub;;
+        (lctit)   queue=S; remote_address=10.1.6.165; submcom=/opt/pbs/tools/bin/t2sub;;
+        (lcxe6)	  remote_address=129.177.20.113; submcom=/opt/torque/default/bin/qsub;;
+        (lcxt5m)  remote_address=193.166.211.144; submcom=/opt/pbs/10.1.0.91350/bin/qsub;;
+        (lcyon)   remote_address=165.132.26.68; submcom=/usr/torque/bin/qsub;;
+        (nech)    qsubmem=memsz_job; qsubtime=cputim_job; remote_address=136.172.44.147; submcom="/usr/local/bin/qsub";;
         (*)       printf "\n  +++ hostname \"$remote_host\" not allowed";
                   locat=parameter; exit;;
@@ -1180,5 +1181,5 @@
     echo "trap '"                               >>  $job_to_send
     echo "set +vx"                              >>  $job_to_send
-    if [[ $(echo $remote_host | cut -c1-3) = ibm  ||  $remote_host = lccrayb  ||  $remote_host = lccrayh  ||  $(echo $remote_host | cut -c1-3) = nec  ||  $remote_host = lcflow  ||  $remote_host = lckiaps  ||  $remote_host = lckyu* ]]
+    if [[ $(echo $remote_host | cut -c1-3) = ibm  ||  $remote_host = lccrayb  ||  $remote_host = lccrayh  ||  $(echo $remote_host | cut -c1-3) = nec  ||  $remote_host = lcflow  ||  $remote_host = lckiaps  ||  $remote_host = lckyu* || $remote_host = lcxe6 ]]
     then
        if [[ $remote_host = ibmh ]]
@@ -1197,4 +1198,7 @@
        then
           return_queue=dataq
+       elif [[ $remote_host = lcxe6 ]]
+       then
+          return_queue=debug
        elif [[ $remote_host = lckiaps ]]
        then
@@ -1237,5 +1241,5 @@
 
           echo "echo \"set -x\" >> scpjob.$identifier"                   >>  $job_to_send
-          echo "echo \"batch_scp  $PORTOPT  -d  -w 10  -u $local_user  $local_addres  ${job_catalog}/$remote_dayfile  \\\"$job_catalog\\\"  $local_dayfile\" >> scpjob.$identifier"  >>  $job_to_send
+          echo "echo \"batch_scp  $PORTOPT  -d  -w 10  -u $local_user  $local_address  ${job_catalog}/$remote_dayfile  \\\"$job_catalog\\\"  $local_dayfile\" >> scpjob.$identifier"  >>  $job_to_send
           if [[ $remote_host = ibmku ]]
           then
@@ -1254,5 +1258,5 @@
           echo "set -x"                            >>  $job_to_send
           echo "cd /pf/b/${remote_user}/job_queue" >>  $job_to_send
-          echo "batch_scp  $PORTOPT  -d  -w 10  -u $local_user $local_addres  $remote_dayfile  \"$job_catalog\"  $local_dayfile"  >>  $job_to_send
+          echo "batch_scp  $PORTOPT  -d  -w 10  -u $local_user $local_address  $remote_dayfile  \"$job_catalog\"  $local_dayfile"  >>  $job_to_send
           echo "[[ \"\$for_subjob_to_do\" != \"\" ]]  &&  eval \$for_subjob_to_do"  >>  $job_to_send
           echo "%%END%%"                           >>  $job_to_send
@@ -1271,5 +1275,5 @@
           echo "export LANG=en_US.UTF-8"           >>  $job_to_send
           echo "set -x"                            >>  $job_to_send
-          echo "batch_scp  $PORTOPT  -d  -w 10  -u $local_user $local_addres  $remote_dayfile  \"$job_catalog\"  $local_dayfile"  >>  $job_to_send
+          echo "batch_scp  $PORTOPT  -d  -w 10  -u $local_user $local_address  $remote_dayfile  \"$job_catalog\"  $local_dayfile"  >>  $job_to_send
           echo "[[ \"\$for_subjob_to_do\" != \"\" ]]  &&  eval \$for_subjob_to_do"  >>  $job_to_send
           echo "%%END%%"                           >>  $job_to_send
@@ -1288,5 +1292,5 @@
           echo "export LANG=en_US.UTF-8"           >>  $job_to_send
           echo "set -x"                            >>  $job_to_send
-          echo "batch_scp  $PORTOPT  -d  -w 10  -u $local_user $local_addres  $remote_dayfile  \"$job_catalog\"  $local_dayfile"  >>  $job_to_send
+          echo "batch_scp  $PORTOPT  -d  -w 10  -u $local_user $local_address  $remote_dayfile  \"$job_catalog\"  $local_dayfile"  >>  $job_to_send
           echo "[[ \"\$for_subjob_to_do\" != \"\" ]]  &&  eval \$for_subjob_to_do"  >>  $job_to_send
           echo "%%END%%"                           >>  $job_to_send
@@ -1303,5 +1307,5 @@
           echo " "                                       >>  $job_to_send
           echo "set -x"                                  >>  $job_to_send
-          echo "batch_scp  $PORTOPT  -d  -w 10  -u $local_user $local_addres  ${job_catalog}/$remote_dayfile  \"$job_catalog\"  $local_dayfile"  >>  $job_to_send
+          echo "batch_scp  $PORTOPT  -d  -w 10  -u $local_user $local_address  ${job_catalog}/$remote_dayfile  \"$job_catalog\"  $local_dayfile"  >>  $job_to_send
           echo "[[ \"\$for_subjob_to_do\" != \"\" ]]  &&  eval \$for_subjob_to_do"  >>  $job_to_send
           echo "%%END%%"                                 >>  $job_to_send
@@ -1324,5 +1328,5 @@
           echo "export PATH=\$PATH:\$PALM_BIN"                           >>  $job_to_send
           echo ""                                 >>  $job_to_send         
-          echo "batch_scp  $PORTOPT  -d  -w 10  -u $local_user $local_addres  ${job_catalog}/$remote_dayfile  \"$job_catalog\"  $local_dayfile"  >>  $job_to_send
+          echo "batch_scp  $PORTOPT  -d  -w 10  -u $local_user $local_address  ${job_catalog}/$remote_dayfile  \"$job_catalog\"  $local_dayfile"  >>  $job_to_send
           echo "[[ \"\$for_subjob_to_do\" != \"\" ]]  &&  eval \$for_subjob_to_do"  >>  $job_to_send
           echo "rm -f scpjob.${identifier}"                                 >>  $job_to_send         
@@ -1330,5 +1334,20 @@
           echo "sed -e 's/SGEPREFIX/#$/g' scpjob.${identifier}.tmp > scpjob.${identifier}" >>  $job_to_send         
           echo "rm -f scpjob.${identifier}.tmp"                             >>  $job_to_send         
-
+       elif [[ $remote_host = lcxe6 ]]
+       then
+          echo "cat > scpjob.${identifier}  << %%END%%"  >>  $job_to_send
+          echo "#!/bin/ksh"                              >>  $job_to_send
+          echo "#PBS -N job_protocol_transfer"           >>  $job_to_send
+          echo "#PBS -l walltime=00:30:00"               >>  $job_to_send
+          echo "#PBS -A $project_account"                >>  $job_to_send
+          echo "#PBS -l mppwidth=1"                      >>  $job_to_send
+          echo "#PBS -l mppnppn=1"                       >>  $job_to_send
+          echo "#PBS -o \$HOME/job_queue/last_job_transfer_protocol"  >>  $job_to_send
+          echo "#PBS -j oe"                              >>  $job_to_send
+          echo " "                                       >>  $job_to_send
+          echo "set -x"                                  >>  $job_to_send
+          echo "batch_scp  $PORTOPT  -d  -w 10  -u $local_user $local_address  ${job_catalog}/$remote_dayfile  \"$job_catalog\"  $local_dayfile"  >>  $job_to_send
+          echo "[[ \"\$for_subjob_to_do\" != \"\" ]]  &&  eval \$for_subjob_to_do"  >>  $job_to_send
+          echo "%%END%%"                                 >>  $job_to_send
        else
 
@@ -1351,5 +1370,5 @@
           fi
           echo "set -x"                            >>  $job_to_send
-          echo "batch_scp  $PORTOPT  -d  -w 10  -u $local_user $local_addres  ${job_catalog}/$remote_dayfile  \"$job_catalog\"  $local_dayfile  >  /dev/null"  >>  $job_to_send
+          echo "batch_scp  $PORTOPT  -d  -w 10  -u $local_user $local_address  ${job_catalog}/$remote_dayfile  \"$job_catalog\"  $local_dayfile  >  /dev/null"  >>  $job_to_send
           echo "[[ \"\$for_subjob_to_do\" != \"\" ]]  &&  eval \$for_subjob_to_do"  >>  $job_to_send
           echo "%%END%%"                           >>  $job_to_send
@@ -1371,14 +1390,14 @@
        then
           echo "mv  scpjob.$identifier  $job_catalog"           >>  $job_to_send
-          echo "ssh $SSH_PORTOPT ${remote_username}@${remote_addres}  \"$submcom ${job_catalog}/scpjob.$identifier\" "  >>  $job_to_send
+          echo "ssh $SSH_PORTOPT ${remote_username}@${remote_address}  \"$submcom ${job_catalog}/scpjob.$identifier\" "  >>  $job_to_send
           echo "rm  ${job_catalog}/scpjob.$identifier"          >>  $job_to_send
        elif [[ $remote_host = lckyu* ]]
        then
-          echo "scp $PORTOPT scpjob.$identifier  ${remote_username}@${remote_addres}:job_queue"           >>  $job_to_send
-          echo "ssh $SSH_PORTOPT ${remote_username}@${remote_addres}  \"cd job_queue; $submcom scpjob.$identifier; rm scpjob.$identifier\" "  >>  $job_to_send
+          echo "scp $PORTOPT scpjob.$identifier  ${remote_username}@${remote_address}:job_queue"           >>  $job_to_send
+          echo "ssh $SSH_PORTOPT ${remote_username}@${remote_address}  \"cd job_queue; $submcom scpjob.$identifier; rm scpjob.$identifier\" "  >>  $job_to_send
        elif [[ $remote_host = lcflow ]]
        then
           echo "mv  scpjob.$identifier  $job_catalog"           >>  $job_to_send
-          echo "/usr/bin/ssh ${remote_username}@${remote_addres}  \"$init_cmds $module_calls cd $job_catalog; $submcom scpjob.$identifier\" "  >>  $job_to_send
+          echo "/usr/bin/ssh ${remote_username}@${remote_address}  \"$init_cmds $module_calls cd $job_catalog; $submcom scpjob.$identifier\" "  >>  $job_to_send
        else
           echo "$submcom  scpjob.$identifier"      >>  $job_to_send
@@ -1393,7 +1412,7 @@
        fi
     else
-#       echo "ftpcopy  -d  $local_addres  ${job_catalog}/$remote_dayfile  \"$job_catalog\"  $local_dayfile"  >>  $job_to_send
+#       echo "ftpcopy  -d  $local_address  ${job_catalog}/$remote_dayfile  \"$job_catalog\"  $local_dayfile"  >>  $job_to_send
        # ??? funktioniert das ÃŒberhaupt noch ???
-       echo "nohup  ftpcopy  -d  -w 15  $local_addres  ${job_catalog}/$remote_dayfile  \"$job_catalog\"  $local_dayfile  >  /dev/null  &"  >>  $job_to_send
+       echo "nohup  ftpcopy  -d  -w 15  $local_address  ${job_catalog}/$remote_dayfile  \"$job_catalog\"  $local_dayfile  >  /dev/null  &"  >>  $job_to_send
     fi
     echo "set -x"                               >>  $job_to_send
@@ -1441,5 +1460,5 @@
           scp  $PORTOPT  $job_to_send  ${remote_user}@136.172.44.205:${job_catalog}/$job_on_remhost
        else
-          scp  $PORTOPT  $job_to_send  ${remote_user}@${remote_addres}:${job_catalog}/$job_on_remhost
+          scp  $PORTOPT  $job_to_send  ${remote_user}@${remote_address}:${job_catalog}/$job_on_remhost
        fi
        if [[ $? = 1 ]]
@@ -1466,10 +1485,10 @@
        if [[ $remote_host = ibmku ]]
        then
-          ssh  $SSH_PORTOPT $remote_addres  -l $remote_user  "cd $job_catalog; $submcom $job_on_remhost"
+          ssh  $SSH_PORTOPT $remote_address  -l $remote_user  "cd $job_catalog; $submcom $job_on_remhost"
        elif [[ $remote_host = lcflow ]]
        then
-          /usr/bin/ssh  $SSH_PORTOPT $remote_addres  -l $remote_user  "$init_cmds $module_calls cd $job_catalog; $submcom $job_on_remhost"
+          /usr/bin/ssh  $SSH_PORTOPT $remote_address  -l $remote_user  "$init_cmds $module_calls cd $job_catalog; $submcom $job_on_remhost"
        else
-          ssh  $SSH_PORTOPT $remote_addres  -l $remote_user  "cd $job_catalog; $submcom $job_on_remhost; rm $job_on_remhost"
+          ssh  $SSH_PORTOPT $remote_address  -l $remote_user  "cd $job_catalog; $submcom $job_on_remhost; rm $job_on_remhost"
        fi
 