Index: palm/trunk/SCRIPTS/mbuild
===================================================================
--- palm/trunk/SCRIPTS/mbuild	(revision 1468)
+++ palm/trunk/SCRIPTS/mbuild	(revision 1469)
@@ -22,6 +22,5 @@
 # Current revisions:
 # ------------------
-# Typo removed (addres->address)
-# Adjustments for lcxe6
+# 
 # 
 # Former revisions:
@@ -29,4 +28,8 @@
 # $Id$
 #
+# 1468 2014-09-24 14:06:57Z maronga
+# Typo removed (addres->address)
+# Adjustments for lcxe6
+# 
 # 1390 2014-05-06 07:57:37Z maronga
 # disabled compilation of parameter file check (currently not working),
Index: palm/trunk/SCRIPTS/mrun
===================================================================
--- palm/trunk/SCRIPTS/mrun	(revision 1468)
+++ palm/trunk/SCRIPTS/mrun	(revision 1469)
@@ -22,7 +22,5 @@
 # Current revisions:
 # ------------------
-# Typo removed (addres->address)
-# Bugfix: returning files to IMUK via ssh did not work for lccrayh and lcycrayb
-# Added support for restart runs (remote) for lcxe6
+# 
 # 
 # Former revisions:
@@ -30,4 +28,9 @@
 # $Id$
 #
+# 1468 2014-09-24 14:06:57Z maronga
+# Typo removed (addres->address)
+# Bugfix: returning files to IMUK via ssh did not work for lccrayh and lcycrayb
+# Added support for restart runs (remote) for lcxe6
+# 
 # 1442 2014-07-28 07:09:10Z raasch
 # default queues for HLRN-III (lccrayb/lccrayh) defined
Index: palm/trunk/SCRIPTS/subjob
===================================================================
--- palm/trunk/SCRIPTS/subjob	(revision 1468)
+++ palm/trunk/SCRIPTS/subjob	(revision 1469)
@@ -23,6 +23,5 @@
 # Current revisions:
 # ------------------
-# Typo removed (addres->address)
-# Adjustments for lcxe6
+# 
 # 
 # Former revisions:
@@ -30,4 +29,8 @@
 # $Id$
 #
+# 1468 2014-09-24 14:06:57Z maronga
+# Typo removed (addres->address)
+# Adjustments for lcxe6
+# 
 # 1452 2014-08-22 09:41:06Z heinze
 # local hosts for blizzard added
Index: palm/trunk/SOURCE/check_for_restart.f90
===================================================================
--- palm/trunk/SOURCE/check_for_restart.f90	(revision 1468)
+++ palm/trunk/SOURCE/check_for_restart.f90	(revision 1469)
@@ -20,6 +20,5 @@
 ! Current revisions:
 ! -----------------
-! Added support for unscheduled job termination using the flag files
-! DO_STOP_NOW and DO_RESTART_NOW
+! 
 ! 
 ! Former revisions:
@@ -27,4 +26,8 @@
 ! $Id$
 !
+! 1468 2014-09-24 14:06:57Z maronga
+! Added support for unscheduled job termination using the flag files
+! DO_STOP_NOW and DO_RESTART_NOW
+! 
 ! 1353 2014-04-08 15:21:23Z heinze
 ! REAL constants provided with KIND-attribute
Index: palm/trunk/SOURCE/check_open.f90
===================================================================
--- palm/trunk/SOURCE/check_open.f90	(revision 1468)
+++ palm/trunk/SOURCE/check_open.f90	(revision 1469)
@@ -20,6 +20,5 @@
 ! Current revisions:
 ! -----------------
-! Adapted for use on up to 6-digit processor cores
-! Added file unit 117 (PROGRESS)
+! 
 ! 
 ! Former revisions:
@@ -27,4 +26,8 @@
 ! $Id$
 !
+! 1468 2014-09-24 14:06:57Z maronga
+! Adapted for use on up to 6-digit processor cores
+! Added file unit 117 (PROGRESS)
+! 
 ! 1359 2014-04-11 17:15:14Z hoffmann
 ! Format of particle exchange statistics extended to reasonable numbers of      
Index: palm/trunk/SOURCE/header.f90
===================================================================
--- palm/trunk/SOURCE/header.f90	(revision 1468)
+++ palm/trunk/SOURCE/header.f90	(revision 1469)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! Adapted for use on up to 6-digit processor cores
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 1468 2014-09-24 14:06:57Z maronga
+! Adapted for use on up to 6-digit processor cores
+! 
 ! 1429 2014-07-15 12:53:45Z knoop
 ! header exended to provide ensemble_member_nr if specified
Index: palm/trunk/SOURCE/init_pegrid.f90
===================================================================
--- palm/trunk/SOURCE/init_pegrid.f90	(revision 1468)
+++ palm/trunk/SOURCE/init_pegrid.f90	(revision 1469)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! ------------------
-! Adapted for use on up to 6-digit processor cores
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 1468 2014-09-24 14:06:57Z maronga
+! Adapted for use on up to 6-digit processor cores
+! 
 ! 1435 2014-07-21 10:37:02Z keck
 ! bugfix: added missing parameter coupling_mode_remote to ONLY-attribute
Index: palm/trunk/SOURCE/modules.f90
===================================================================
--- palm/trunk/SOURCE/modules.f90	(revision 1468)
+++ palm/trunk/SOURCE/modules.f90	(revision 1469)
@@ -20,6 +20,5 @@
 ! Current revisions:
 ! ------------------
-! Adapted for use on up to 6-digit processor cores.
-! Increased identifier string length for user-defined quantities to 20.
+! 
 ! 
 ! Former revisions:
@@ -27,4 +26,8 @@
 ! $Id$
 !
+! 1468 2014-09-24 14:06:57Z maronga
+! Adapted for use on up to 6-digit processor cores.
+! Increased identifier string length for user-defined quantities to 20.
+! 
 ! 1450 2014-08-21 07:31:51Z heinze
 ! ntnudge from 100 to 1000 increased to allow longer simulations
Index: palm/trunk/SOURCE/palm.f90
===================================================================
--- palm/trunk/SOURCE/palm.f90	(revision 1468)
+++ palm/trunk/SOURCE/palm.f90	(revision 1469)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! Adapted for use on up to 6-digit processor cores
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 1468 2014-09-24 14:06:57Z maronga
+! Adapted for use on up to 6-digit processor cores
+! 
 ! 1402 2014-05-09 14:25:13Z raasch
 ! location messages added
Index: palm/trunk/SOURCE/progress_bar.f90
===================================================================
--- palm/trunk/SOURCE/progress_bar.f90	(revision 1468)
+++ palm/trunk/SOURCE/progress_bar.f90	(revision 1469)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! Added support for progress file PROGRESS which is used in case of batch jobs
-!
+! 
+! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1468 2014-09-24 14:06:57Z maronga
+! Added support for progress file PROGRESS which is used in case of batch jobs
 !
 ! Description:
Index: palm/trunk/SOURCE/read_3d_binary.f90
===================================================================
--- palm/trunk/SOURCE/read_3d_binary.f90	(revision 1468)
+++ palm/trunk/SOURCE/read_3d_binary.f90	(revision 1469)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! Adapted for use on up to 6-digit processor cores
+! 
 ! 
 ! Former revisions:
@@ -26,4 +26,7 @@
 ! $Id$
 !
+! 1468 2014-09-24 14:06:57Z maronga
+! Adapted for use on up to 6-digit processor cores
+! 
 ! 1400 2014-05-09 14:03:54Z knoop
 ! reading of arrays for random_generator_parallel added
Index: palm/trunk/UTIL/combine_plot_fields.f90
===================================================================
--- palm/trunk/UTIL/combine_plot_fields.f90	(revision 1468)
+++ palm/trunk/UTIL/combine_plot_fields.f90	(revision 1469)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! Adapted for use on up to 6-digit processor cores (not tested)
-!
+! 
+! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1468 2014-09-24 14:06:57Z maronga
+! Adapted for use on up to 6-digit processor cores (not tested)
 !
 ! 1394 2014-05-06 10:17:31Z keck
Index: palm/trunk/UTIL/combine_plot_fields_single_open.f90
===================================================================
--- palm/trunk/UTIL/combine_plot_fields_single_open.f90	(revision 1468)
+++ palm/trunk/UTIL/combine_plot_fields_single_open.f90	(revision 1469)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! Adapted for use on up to 6-digit processor cores (not tested)
-!
+! 
+! 
 ! Former revisions:
 ! ---------------------
 ! $Id$
+!
+! 1468 2014-09-24 14:06:57Z maronga
+! Adapted for use on up to 6-digit processor cores (not tested)
 !
 ! code put under GPL (PALM 3.9)