Index: /palm/trunk/SOURCE/Makefile
===================================================================
--- /palm/trunk/SOURCE/Makefile	(revision 1484)
+++ /palm/trunk/SOURCE/Makefile	(revision 1485)
@@ -20,6 +20,5 @@
 # Current revisions:
 # ------------------
-# plant_canopy_model-dependency added for check_parameters, header, init_3d_model,
-# package_parin, read_var_list, user_init_plant_canopy, write_var_list
+# 
 # 
 # Former revisions:
@@ -27,4 +26,8 @@
 # $Id$
 #
+# 1484 2014-10-21 10:53:05Z kanani
+# plant_canopy_model-dependency added for check_parameters, header, init_3d_model,
+# package_parin, read_var_list, user_init_plant_canopy, write_var_list
+# 
 # 1444 2014-08-02 20:10:32Z letzel
 # bugfix: cpulog added to lpm_advec
Index: /palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- /palm/trunk/SOURCE/check_parameters.f90	(revision 1484)
+++ /palm/trunk/SOURCE/check_parameters.f90	(revision 1485)
@@ -20,4 +20,11 @@
 ! Current revisions:
 ! -----------------
+! 
+! 
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 1484 2014-10-21 10:53:05Z kanani
 ! Changes due to new module structure of the plant canopy model:
 !   module plant_canopy_model_mod added,
@@ -29,8 +36,4 @@
 ! Missing KIND-attribute for REAL constant added
 ! 
-! Former revisions:
-! -----------------
-! $Id$
-!
 ! 1455 2014-08-29 10:47:47Z heinze
 ! empty time records in volume, cross-section and masked data output prevented  
Index: /palm/trunk/SOURCE/header.f90
===================================================================
--- /palm/trunk/SOURCE/header.f90	(revision 1484)
+++ /palm/trunk/SOURCE/header.f90	(revision 1485)
@@ -20,4 +20,11 @@
 ! Current revisions:
 ! -----------------
+! 
+! 
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 1484 2014-10-21 10:53:05Z kanani
 ! Changes due to new module structure of the plant canopy model:
 !   module plant_canopy_model_mod and output for new canopy model parameters 
@@ -28,8 +35,4 @@
 ! Bugfix: DO-WHILE-loop for lad header information additionally restricted 
 ! by maximum number of gradient levels (currently 10)
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 1482 2014-10-18 12:34:45Z raasch
Index: /palm/trunk/SOURCE/init_3d_model.f90
===================================================================
--- /palm/trunk/SOURCE/init_3d_model.f90	(revision 1484)
+++ /palm/trunk/SOURCE/init_3d_model.f90	(revision 1485)
@@ -20,4 +20,11 @@
 ! Current revisions:
 ! ------------------
+! 
+! 
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 1484 2014-10-21 10:53:05Z kanani
 ! Changes due to new module structure of the plant canopy model:
 !   canopy-related initialization (e.g. lad and canopy_heat_flux) moved to new 
@@ -25,8 +32,4 @@
 !   call of subroutine init_plant_canopy added.
 ! 
-! Former revisions:
-! -----------------
-! $Id$
-!
 ! 1431 2014-07-15 14:47:17Z suehring
 ! var_d added, in order to normalize spectra.
Index: /palm/trunk/SOURCE/modules.f90
===================================================================
--- /palm/trunk/SOURCE/modules.f90	(revision 1484)
+++ /palm/trunk/SOURCE/modules.f90	(revision 1485)
@@ -20,12 +20,15 @@
 ! Current revisions:
 ! ------------------
+! 
+! 
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 1484 2014-10-21 10:53:05Z kanani
 ! Changes due to new module structure of the plant canopy model:
 !   canopy-model related parameters/variables moved to module 
 !   plant_canopy_model_mod
 ! 
-! Former revisions:
-! -----------------
-! $Id$
-!
 ! 1468 2014-09-24 14:06:57Z maronga
 ! Adapted for use on up to 6-digit processor cores.
Index: /palm/trunk/SOURCE/package_parin.f90
===================================================================
--- /palm/trunk/SOURCE/package_parin.f90	(revision 1484)
+++ /palm/trunk/SOURCE/package_parin.f90	(revision 1485)
@@ -20,4 +20,11 @@
 ! Current revisions:
 ! -----------------
+! 
+! 
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 1484 2014-10-21 10:53:05Z kanani
 ! Changes due to new module structure of the plant canopy model:
 !   module plant_canopy_model_mod added,
@@ -28,8 +35,4 @@
 ! Changed statement tags in CONTINUE-statement
 ! 
-! Former revisions:
-! -----------------
-! $Id$
-!
 ! 1367 2014-04-23 15:18:30Z witha
 ! Bugfix: module kinds must be used
Index: /palm/trunk/SOURCE/parin.f90
===================================================================
--- /palm/trunk/SOURCE/parin.f90	(revision 1484)
+++ /palm/trunk/SOURCE/parin.f90	(revision 1485)
@@ -20,12 +20,15 @@
 ! Current revisions:
 ! -----------------
+! 
+! 
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 1484 2014-10-21 10:53:05Z kanani
 ! Changes due to new module structure of the plant canopy model:
 !   canopy-model related parameters moved to new package canopy_par in 
 !   subroutine package_parin
 ! 
-! Former revisions:
-! -----------------
-! $Id$
-!
 ! 1429 2014-07-15 12:53:45Z knoop
 ! +ensemble_member_nr to prepare the random_generator for ensemble runs
Index: /palm/trunk/SOURCE/plant_canopy_model.f90
===================================================================
--- /palm/trunk/SOURCE/plant_canopy_model.f90	(revision 1484)
+++ /palm/trunk/SOURCE/plant_canopy_model.f90	(revision 1485)
@@ -20,4 +20,11 @@
 ! Current revisions:
 ! -----------------
+! 
+! 
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 1484 2014-10-21 10:53:05Z kanani
 ! Changes due to new module structure of the plant canopy model:
 !   module plant_canopy_model_mod now contains a subroutine for the 
@@ -39,8 +46,4 @@
 !   USE-statements and ONLY-lists modified accordingly
 ! 
-! Former revisions:
-! -----------------
-! $Id$
-!
 ! 1340 2014-03-25 19:45:13Z kanani
 ! REAL constants defined as wp-kind
Index: /palm/trunk/SOURCE/prognostic_equations.f90
===================================================================
--- /palm/trunk/SOURCE/prognostic_equations.f90	(revision 1484)
+++ /palm/trunk/SOURCE/prognostic_equations.f90	(revision 1485)
@@ -20,4 +20,11 @@
 ! Current revisions:
 ! ------------------
+! 
+! 
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 1484 2014-10-21 10:53:05Z kanani
 ! Changes due to new module structure of the plant canopy model:
 !   parameters cthf and plant_canopy moved to module plant_canopy_model_mod.
@@ -25,8 +32,4 @@
 ! control_parameters
 ! 
-! Former revisions:
-! -----------------
-! $Id$
-!
 ! 1409 2014-05-23 12:11:32Z suehring
 ! Bugfix: i_omp_start changed for advec_u_ws at left inflow and outflow boundary. 
Index: /palm/trunk/SOURCE/read_var_list.f90
===================================================================
--- /palm/trunk/SOURCE/read_var_list.f90	(revision 1484)
+++ /palm/trunk/SOURCE/read_var_list.f90	(revision 1485)
@@ -20,4 +20,11 @@
 ! Current revisions:
 ! ------------------
+! 
+! 
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 1484 2014-10-21 10:53:05Z kanani
 ! Changes in the course of the canopy-model modularization:
 !   parameters alpha_lad, beta_lad, lai_beta added,
@@ -25,8 +32,4 @@
 !   drag_coefficient, leaf_surface_concentration and scalar_exchange_coefficient
 !   renamed to canopy_drag_coeff, leaf_surface_conc and leaf_scalar_exch_coeff
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 1322 2014-03-20 16:38:49Z raasch
Index: /palm/trunk/SOURCE/timestep.f90
===================================================================
--- /palm/trunk/SOURCE/timestep.f90	(revision 1484)
+++ /palm/trunk/SOURCE/timestep.f90	(revision 1485)
@@ -20,4 +20,11 @@
 ! Current revisions:
 ! ------------------
+! 
+! 
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 1484 2014-10-21 10:53:05Z kanani
 ! Changes due to new module structure of the plant canopy model:
 !   calculations and parameters related to the plant canopy model removed
@@ -26,8 +33,4 @@
 !   calculation of the canopy tendency terms in subroutine plant_canopy_model) 
 ! 
-! Former revisions:
-! -----------------
-! $Id$
-!
 ! 1342 2014-03-26 17:04:47Z kanani
 ! REAL constants defined as wp-kind
Index: /palm/trunk/SOURCE/user_init_plant_canopy.f90
===================================================================
--- /palm/trunk/SOURCE/user_init_plant_canopy.f90	(revision 1484)
+++ /palm/trunk/SOURCE/user_init_plant_canopy.f90	(revision 1485)
@@ -20,4 +20,11 @@
 ! Current revisions:
 ! -----------------
+! 
+! 
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 1484 2014-10-21 10:53:05Z kanani
 ! Changes in the course of the canopy-model modularization:
 !   module plant_canopy_model_mod added,
@@ -25,8 +32,4 @@
 !   defined purely as a single constant value (see module plant_canopy_model)
 ! 
-! Former revisions:
-! -----------------
-! $Id$
-!
 ! 1353 2014-04-08 15:21:23Z heinze
 ! REAL constants provided with KIND-attribute 
Index: /palm/trunk/SOURCE/write_var_list.f90
===================================================================
--- /palm/trunk/SOURCE/write_var_list.f90	(revision 1484)
+++ /palm/trunk/SOURCE/write_var_list.f90	(revision 1485)
@@ -20,4 +20,11 @@
 ! Current revisions:
 ! -----------------
+! 
+! 
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 1484 2014-10-21 10:53:05Z kanani
 ! Changes in the course of the canopy-model modularization:
 !   parameters alpha_lad, beta_lad, lai_beta added,
@@ -25,8 +32,4 @@
 !   drag_coefficient, leaf_surface_concentration and scalar_exchange_coefficient
 !   renamed to canopy_drag_coeff, leaf_surface_conc and leaf_scalar_exch_coeff
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 1324 2014-03-21 09:13:16Z suehring